/*
 *
 *
 *    dec_file.h
 *
 *    File-based decoder for NWS/EAS alert messages.
 *
 *    Copyright (C) 2018 by Matt Roberts.
 *    License: GNU GPL3 (www.gnu.org)
 *
 *
 */


#ifndef __NWS_DEC_FILE_H
#define __NWS_DEC_FILE_H

#include <stdint.h>
#include <iostream>
#include <iomanip>

#include "sf.h"
#include "decoder.h"

#include "localtypes.h"

//
//  class FileDecoder -- file-based decoder
//
class FileDecoder {
	private:
		// the demodulator
		detector_t demod;

		// the decoder
		Decoder decoder;

		// the input file name
		const std::string filen;

	public:
		FileDecoder(const std::string &fn, const detector_t::Config &c);

		int run();
};

#endif // __NWS_DEC_FILE_H
